Identity, people & notifications

Create Filter Config

Creates an employee-sync filter configuration for the org, clearing other defaults when flagged default.

POSThttps://api.toku.com/stablecoin-payroll/create-filter-config

Not available to API keys yet. It will need integrations:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/create-filter-config' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "string",
  "description": "string",
  "filters": {},
  "isDefault": true,
  "appliesTo": [
    "ADP"
  ],
  "syncMode": [
    "manual"
  ]
}'
200 response
{
  "id": "string",
  "name": "string",
  "description": "string",
  "filters": {},
  "isDefault": true,
  "isActive": true,
  "syncMode": [
    "string"
  ],
  "appliesTo": [
    "string"
  ],
  "createdBy": "string",
  "createdAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

orgIDstring<uuid>
namestringrequired

Allowed: 1 to 100 characters

descriptionstring

Allowed: at most 500 characters

filtersobject | objectrequired

NOTE(ck): a recursive z.lazy() schema has no contract form; TGA still checks it

Show child attributes
versionanyrequired
rootGroupanyrequired
isDefaultboolean
appliesTostring[]
syncModestring[]

Response

200Successful response
idstringrequired
namestringrequired
descriptionstring | nullrequired
filtersobject | objectrequired

NOTE(ck): a recursive z.lazy() schema has no contract form; TGA still checks it

Show child attributes
versionanyrequired
rootGroupanyrequired
isDefaultbooleanrequired
isActivebooleanrequired
syncModearray | nullrequired
appliesToarray | nullrequired
createdBystringrequired
createdAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits